ESDOTS(1)

NAME
esdots - Present the content of an ES as a sequence of characters

SYNOPSIS
esdots [-err stdout] [-err stderr] [-verbose | -v] [-max max_units | -m max_units] [-pes | -ts] [-hasheos] [-es] [-gop] [-fr frame_rate] in_file | -stdin

DESCRIPTION
Present the content of an H.264 (MPEG-4/AVC), H.262 (MPEG-2) or AVS elementary stream as a sequence of characters, representing access units/MPEG-2 items/AVS items.

(Note that for H.264 it is access units and not frames that are represented, and for H.262 it is items and not pictures.)

  Files

in_file
    is an H.222 Transport Stream file (but see -stdin)

  Switches

-err stdout
    Write error messages to standard output (the default)

-err stderr
    Write error messages to standard error (Unix traditional)

-stdin
    Input from standard input, instead of a file

-v, -verbose
    Output extra information about packets

-q, -quiet
    Only output error messages

-max max_units, -m max_units
    Maximum number of entities to read

-pes, -ts
    The input file is TS or PS, to be read via the PES->ES reading mechanisms

-hasheos
    Print a # on finding an EOS (end-of-stream) NAL unit rather than stopping (only applies to H.264)

-es Report ES units, rather than any 'higher' unit (not necessarily supported for all file types)

-gop
    Show the duration of each GOP (for MPEG-2 steams) OR the distance between random access points (H.264)

-fr Set the video frame rate (default = 25 fps)

  Stream type:
If input is from a file, then the program will look at the start of the file to determine if the stream is H.264 or H.262 data. This process may occasionally come to the wrong conclusion, in which case the user can override the choice using the following switches.

For AVS data, the program will never guess correctly, so the user must specify the file type, using -avs.

If input is from standard input (via -stdin), then it is not possible for the program to make its own decision on the input stream type. Instead, it defaults to H.262, and relies on the user indicating if this is wrong.

-h264, -avc
    Force the program to treat the input as MPEG-4/AVC.

-h262
    Force the program to treat the input as MPEG-2.

-avs
    Force the program to treat the input as AVS.

SEE ALSO
esdots(1),